GET
/v1/reports/sales/dailyGET /v1/reports/sales/daily
Scopes: reports:sales:read
Requires scope: reports:sales:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
start_date | query | string | no | |
end_date | query | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
reportType | string | no | |
title | string | no | |
generatedAt | string<date-time> | no | |
totalRecords | integer<int32> | no | |
data | DailySalesSummary[] | no | |
parameters | ReportParameter[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/reports/sales/daily', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);